Package org.kapott.hbci.comm

## Class FilterBase64

- java.lang.Object
- - org.kapott.hbci.comm.Filter
  - - org.kapott.hbci.comm.FilterBase64

    public final class FilterBase64
    extends Filter

### Constructor Summary

Constructors
`FilterBase64()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `decode​(java.lang.String st)`
`byte[]` `encode​(java.lang.String st)`

### Methods inherited from class org.kapott.hbci.comm.Filter

`getInstance`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FilterBase64

    public FilterBase64()

### Method Detail

#### decode

    public java.lang.String decode​(java.lang.String st)

Specified by:
  `decode` in class `Filter`

#### encode

    public byte[] encode​(java.lang.String st)

Specified by:
  `encode` in class `Filter`